[hackers] [scc] [tests] Pass -Iinclude to scc || Roberto E. Vargas Caballero
commit 02280ce31580e794f4aba3e3bf4d6d91c391ae3b
Author: Roberto E. Vargas Caballero <roberto.vargas_AT_igrid-td.com>
AuthorDate: Mon Sep 26 12:34:22 2016 +0200
Commit: Roberto E. Vargas Caballero <roberto.vargas_AT_igrid-td.com>
CommitDate: Mon Sep 26 12:34:22 2016 +0200
[tests] Pass -Iinclude to scc
Test 0064-sysinclude.c needs this flag, otherwise it cannot find
the needed include.
diff --git a/tests/chktest.sh b/tests/chktest.sh
index 820e850..950e31d 100755
--- a/tests/chktest.sh
+++ b/tests/chktest.sh
_AT_@ -8,5 +8,5 @@ for i in $@
do
printf "%s\t" $i
rm -f a.out
- (scc -m qbe "$i" && ./a.out) 2>/dev/null && echo [OK] || echo [FAILED]
+ (scc -Iinclude -m qbe "$i" && ./a.out) 2>/dev/null && echo [OK] || echo [FAILED]
done
Received on Mon Sep 26 2016 - 12:35:05 CEST
This archive was generated by hypermail 2.3.0
: Mon Sep 26 2016 - 12:36:23 CEST